Skip to main content
PATCH
/
prompts
/
{prompt_id}
Update Prompt
curl --request PATCH \
  --url https://api.peec.ai/customer/v1/prompts/{prompt_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "topic_id": "<string>",
  "tag_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.peec.ai/customer/v1/prompts/{prompt_id}"

payload = {
"topic_id": "<string>",
"tag_ids": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({topic_id: '<string>', tag_ids: ['<string>']})
};

fetch('https://api.peec.ai/customer/v1/prompts/{prompt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

prompt_id
string
required

Body

topic_id
string | null
tag_ids
string[]

Response

Prompt updated successfully

Prompt updated successfully